STORED_KERNELRELEASE=`chkimage /dev/mem:fe030000 -nv`
NEW_KERNELRELEASE=`chkimage kernel.bin -nv`

[ -f chkimage ] || ln -s /bin/chkimage chkimage

if [ -f chkimage ];then
  STORED_KERNELRELEASE=`chkimage /dev/mem:fe030000 -nv`
  NEW_KERNELRELEASE=`chkimage kernel.bin -nv`
else 
  STORED_KERNELRELEASE=x.xx
  NEW_KERNELRELEASE=y.yy
fi

if [ "$STORED_KERNELRELEASE" != "$NEW_KERNELRELEASE" ]; then
  chmod 777 /write_flash 
  /write_flash f:/kernel.bin add:0x030000 >> kernel_upgrade.txt 
else
  echo "kernel upgrade skipped"  >> kernel_upgrade.txt
fi
rm kernel.bin

