#NEWADDR_RAMDISK=090000  Shifting the ramdisk in flash is disabled for backwards compatibility reasons.
NEWADDR_RAMDISK=0a0000
OLDADDR_RAMDISK=0a0000

[ -f chkimage ] || ln -s /bin/chkimage chkimage

chmod 777 /write_flash 
chmod 777 /chkimage
chmod 777 /replace_file_item

if [ -f /replace_file_item ]; then
ADDR_RAMDISK=$NEWADDR_RAMDISK
else
ADDR_RAMDISK=$OLDADDR_RAMDISK
fi

if [ -f chkimage ]; then
  STORED_RAMDISKRELEASE=`chkimage /dev/mem:fe${ADDR_RAMDISK} -nv`
  NEW_RAMDISKRELEASE=`chkimage ramdisk.bin -nv`
else
  STORED_RAMDISKRELEASE=x.xx
  NEW_RAMDISKRELEASE=y.yy
fi


if [ "$STORED_RAMDISKRELEASE" != "$NEW_RAMDISKRELEASE" ]; then

  /write_flash f:/ramdisk.bin add:0x$ADDR_RAMDISK >> ramdisk_upgrade.txt

  if [ -f /replace_file_item ]; then

    /bin/print_env > /envset.txt
    chmod 777 /replace_file_item
    /replace_file_item -f:/envset.txt  -s:"bootcmd=bootm fe030000 fe0a0000" -r:"bootcmd=bootm fe030000 fe$ADDR_RAMDISK" >> replace_file_item.txt

    if [ $? -eq 1 ]; then
      /bin/set_env f:/envset.txt.out
    fi
  
  fi

  flacc delete ftpd

fi

rm ramdisk.bin
